Skip to main content
`Ctrl`+`K`

# DMPlexLabelAddFaceCells

Starting with a label marking faces on a surface, we add a cell for each face

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexLabelAddFaceCells(DM dm, DMLabel label)

## Input Parameters

- dm - The `DM`

- label - A `DMLabel` marking the surface points

## Output Parameter

- label - A `DMLabel` incorporating cells

## Note

The cells allow FEM boundary conditions to be applied using the cell geometry

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexLabelAddCells()`, `DMPlexLabelComplete()`, `DMPlexLabelCohesiveComplete()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages